echo off
cls
echo ******************************************************************************
echo *                                   DART                                     *
echo ******************************************************************************
echo *                                                                            *
echo *  DART is een engelstalig darts-programma.                                  *
echo *  Met het programma kan door 1 tot 4 spelers tegelijk gespeeld worden.      *
echo *                                                                            *
echo *  Iedere speler start met een score van 301 of 501 punten.                  *
echo *  De bedoeling van het spel is, om die score zo snel mogelijk terug te      *
echo *  brengen naar 0, doordat gescoorde punten van Uw score worden afgetrokken. *
echo *                                                                            *
echo *  Op de schijf zijn de volgende gebieden te vinden:                         *
echo *  - buiten de ringen scoort geen punten.                                    *
echo *  - de buitenste smalle ring scoort dubbele punten.                         *
echo *  - de binnenste smalle ring scoort driedubbele punten.                     *
echo *  - de smalle ring rondom de roos scoort 25 punten.                         *
echo *  - de roos scoort dubbel 25 punten.                                        *
echo *  - alle andere gebieden scoren enkele punten.                              *
echo *                                                                            *
echo *  De eerste score moet altijd een dubbele zijn, anders telt deze niet!      *
echo *                                                                            *
echo ******************************************************************************
pause
echo off
cls
echo ******************************************************************************
echo *                                   DART                                     *
echo ******************************************************************************
echo *                                                                            *
echo *  Ook de laatste score, om het spel uit te maken, moet een dubbele zijn.    *
echo *  Bovendien moet U exakt op 0 uitkomen, als U teveel gooit (of niet dubbel) *
echo *  telt de gegooide score niet.                                              *
echo *                                                                            *
echo *  Iedere speler gooit per beurt 3 darts, in het spel achter de speler       *
echo *  aangegeven met D1, D2 en D3.                                              *
echo *  Om te gooien moeten 3 variabelen worden ingesteld:                        *
echo *  - de positie (in de breedte) waar gegooid wordt.                          *
echo *  - de hoek waarin gegooid wordt.                                           *
echo *  - de snelheid waarmee gegooid wordt.                                      *
echo *  Deze variabelen worden links op het scherm beurtelings ingesteld door op  *
echo *  de spatiebalk te drukken, zodra de speler het moment juist vindt.         *
echo *  Als zo de drie variabelen zijn aangegeven, wordt de dart gegooid, en      *
echo *  wordt het resultaat afgebeeld, en de nieuwe score berekent.               *
echo *                                                                            *
echo *  Met ESCAPE kunt U terug naar het hoofdmenu.                               *
echo *                                                                            *
echo ******************************************************************************
pause
echo off
cls
echo ******************************************************************************
echo *                                   DART                                     *
echo ******************************************************************************
echo *                                                                            *
echo *  In het hoofdmenu kunnen de volgende instellingen worden aangegeven:       *
echo *  - Play game        : beginnen van het spel.                               *
echo *  - Instructions     : engelstalige instrukties.                            *
echo *  - Starting points  : starten met 301 of 501 punten                        *
echo *  - Number of players: aantal spelers: 1, 2, 3 of 4.                        *
echo *  - Game speed       : snelheid, instelbaar tussen 0 en 10.                 *
echo *  - Exit             : einde van het spel.                                  *
echo *                                                                            *
echo *  Zet in het hoofdmenu eerst alle instellingen zoals gewenst, en kies dan   *
echo *  `Play game'.                                                              *
echo *  Keuzes kunnen gemaakt worden met de beginletters (P, I, S, N, G, E) of    *
echo *  met de pijltjestoetsen omhoog en omlaag en de toets ENTER.                *
echo *                                                                            *
echo *                                                                            *
echo *  Wij wensen U veel plezier met DART.                                       *
echo *                                                                            *
echo *                                                                            *
echo ******************************************************************************
pause
echo off
cls
IF EXIST HGCIBM.COM GOTO DISSTART
echo Bestand HGCIBM.COM niet gevonden.
pause
GOTO EINDE
:DISSTART
hgcibm/e > NUL
IF EXIST DARTS.COM GOTO START
echo Bestand DARTS.COM niet gevonden.
pause
GOTO EINDE
:START
darts
echo off
cls
hgcibm/u > NUL
:EINDE
echo off
cls
